//************************************************************************
//* Din3D importer for Cinema 4D                                         *
//* (http://din3d.net)                                                   *
//*                                                                      *
//* Author:                                                              *
//* Dinnye                                                               *
//*                                                                      *
//************************************************************************
//*                                                                      *
//* This file is part of Din3D.                                          *
//*                                                                      *
//************************************************************************


#ifndef __DIN3D_SYMBOLS_H
#define __DIN3D_SYMBOLS_H


enum
{
	//Errors
	IDS_ERROR_FATAL				= 10000,
	IDS_ERROR_DIALOG,
	IDS_ERROR_NODIALOG,
	IDS_ERROR_NOINSTACEDLG,
	IDS_ERROR_NOTAGCREATED,
	IDS_ERROR_MEMORY,
	IDS_ERROR_PRE_FILEVER,
	IDS_ERROR_WRONG_FILEVER,
	IDS_ERROR_FILETYPE,
	IDS_ERROR_FILECONTENT,
	IDS_ERROR_FILEREAD,
	IDS_ERROR_FILELENGTH,
	IDS_ERROR_HEADER,
	IDS_ERROR_NEWFILE,
	IDS_ERROR_POLYUW,
	IDS_ERROR_ROOT,
	IDS_ERROR_ROOT_LIGHT,
	IDS_ERROR_ROOT_CAMERA,
	IDS_ERROR_POLYGON,
	IDS_ERROR_NULL,
	IDS_ERROR_LIGHT,
	IDS_ERROR_CAMERA,
	IDS_ERROR_STRING,
	IDS_ERROR_TARGET,
	IDS_ERROR_EXPRESSION,
	IDS_ERROR_MEMINSTANCE,
	IDS_ERROR_BASEOPTIM,
	IDS_ERROR_TAG_UVW,
	IDS_ERROR_TAG_TEXTURE,
	IDS_ERROR_TAG_NORMAL,
	IDS_ERROR_TAG_PHONG,
	IDS_ERROR_TAG_NEW,
	IDS_ERROR_TAG_GRASS,
	IDS_ERROR_LAYERLIST,
	IDS_ERROR_LAYER,
	IDS_ERROR_MATERIAL,
	IDS_ERROR_NORM_REV,
	IDS_ERROR_INDEX,
	IDS_ERROR_WRONG_PARENT,
	IDS_ERROR_POLY_TRANSFER,
	IDS_ERROR_OPTIM,
	IDS_ERROR_INSTANCE_BASE,
	IDS_ERROR_INSTANCE,
	IDS_ERROR_OBJECTLIST,
	IDS_ERROR_PRESET_DEF,
	IDS_ERROR_PRESET_SAVE,
	IDS_ERROR_PRESET_LOAD,
	IDS_ERROR_PRESET_RENAME,
	IDS_ERROR_PRESET_NEW,
	IDS_ERROR_PRESET,
	IDS_ERROR_REGPROBLEM,
	IDS_ERROR_URL,
	IDS_ERROR_INVALID_MAIL,
	IDS_ERROR_REGWRITE,
	IDS_ERROR_EMPTY_MAIL,
	IDS_ERROR_EMPTY_SER,
	IDS_ERROR_EMPTY_NAME,
	IDS_ERROR_WRONG_SERIAL,
	IDS_ERROR_IES,
	IDS_ERROR_LIGHT_TYPE,
	IDS_ERROR_FOLDER_CREATE,
	IDS_ERROR_COPY_FILE,
	IDS_ERROR_LIC_NOT_FOUND,

	IDS_FILEERROR_OPEN			= 10800,
	IDS_FILEERROR_CLOSE,
	IDS_FILEERROR_READ,
	IDS_FILEERROR_WRITE,
	IDS_FILEERROR_SEEK,
	IDS_FILEERROR_INVALID,
	IDS_FILEERROR_OUTOFMEMORY,
	IDS_FILEERROR_USERBREAK,
	IDS_FILEERROR_WRONG_VALUE,
	IDS_FILEERROR_CHUNK_NUMBER,
	IDS_FILEERROR_VALUE_NO_CHUNK,
	IDS_FILEERROR_FILE_END,
	IDS_FILEERROR_UNKNOWN_VALUE,

	//Task
	IDS_PRGB_CHECK_CONTENT	= 10900,
	IDS_PRGB_LOAD,
	IDS_PRGB_CLEANING,
	IDS_PRGB_POLY,
	IDS_PRGB_INSTANCES,
	IDS_PRGB_LIGHT,
	IDS_PRGB_CAMERA,
	IDS_PRGB_OPTI,
	IDS_PRGB_REDRAW,
	IDS_PRGB_PREPARING,
	IDS_PRGB_SORT,

	//Dialog
	DLG_DIN3D_IMPORT		= 11000,
	IDC_HEADER_DIN3DLOGO,
	IDC_HEADER_LOGO,
	IDC_HEADER_VERSION,
	IDC_HEADER_COPYRIGHT,
	IDC_HEADER_LINK,
	IDC_HEADER_NAME,

	IDB_OK					= 11100,
	IDB_CANCEL,
	IDB_HELP,

	IDG_FILE				= 11200,
	IDG_BOX_FILE,
	IDS_FILE_VERSION,
	IDS_FILE_PATH,
	IDS_FILE,
	IDC_FILE,
	IDC_FILE_INFO,
	IDS_FILE_PROJECT,
	IDS_FILE_ARCHICAD,
	IDS_INFO_VERTEX,
	IDS_INFO_POLYGONS,
	IDS_INFO_ELEMENTS,
	IDS_INFO_CAMERAS,
	IDS_INFO_LIGHTS,

	IDC_OPEN				= 11300,
	IDC_OPEN_UPDATE_SORTER	= 11301,
	IDG_OPEN_GROUP,
	IDC_RADIOGROUP,
	IDR_OPEN_RADIO_0,
	IDR_OPEN_RADIO_1,
	IDR_OPEN_RADIO_2,
	IDC_OPEN_LIST,

	IDG_BOX_PRESET			= 11400,
	IDC_PRESET_NAME			= 11401,
	IDC_PRESET_ID			= 11402,
	IDC_PRESET_VALID		= 11403,
	IDB_PRESET_SELECT,
	IDB_PRESET_REPLACE,
	IDB_PRESET_UPDATE,
	IDB_PRESET_RENAME,
	IDB_PRESET_NEW,
	IDB_PRESET_DELETE,

	IDC_TABGROUP			= 12000,

	IDT_HIERARCHY			= 12100,
	IDC_SPLIT_STORY			= 12101,
	IDC_SPLIT_CLASS			= 12102,
	IDC_SPLIT_LAYERS		= 12103,
	IDC_SPLIT_ELEMENTS		= 12110,
	IDC_HIERARCHY_NULL		= 12104,
	IDC_HIERARCHY_SEP_TEXT	= 12111,
	IDC_HIERARCHY_SEP_SIGN	= 12112,
	IDC_HIERARCHY_SEP_SPACE	= 12113,
	IDC_HIERARCHY_MATSELECT	= 12107,
		ACI_MAT_NULL	= 0,
		ACI_MAT_POLYGON	= 1,
	IDC_HIERARCHY_INSTANCE	= 12105,
	IDC_HIERARCHY_INS_STORY	= 12106,

	IDT_MATERIALS			= 12200,
	IDC_SPLIT_MATERIAL		= 12210,
	IDC_MAT_MATERIAL		= 12201,
	IDG_MAT_TEXTURE			= 12202,
	IDC_MAT_MULTI			= 12203,
	IDC_MAT_TEXTURES		= 12204,
	IDF_MAT_TEXTURES		= 12205,
	IDC_TEXTURE_PROJ		= 12206,
		ACI_PROJ_SPHERIC	= 0,
		ACI_RROJ_CYLIND		= 1,
		ACI_PROJ_FLAT		= 2,
		ACI_PROJ_CUBIC		= 3,
		ACI_PROJ_FRONT		= 4,
		ACI_PROJ_SPACIAL	= 5,
		ACI_PROJ_UVW		= 6,
		ACI_PROJ_SHRINK		= 7,

	IDT_CONTENTS			= 12300,
	IDC_CONTENT_LIGHTS		= 12301,
	IDC_CONTENT_CAMERAS		= 12302,
	IDC_CONTENT_NORMALS		= 12303,
	IDC_CONTENT_REVERSE		= 12304,
	IDC_PHONG_ADD			= 12370,
	IDS_PHONG_ANGLE			= 12371,
	IDC_PHONG_BREAK			= 12372,
	IDC_PHONG_HIDE,
	IDC_CONTENT_UVW			= 12380,
	IDS_CONTENT_UVW			= 12381,
	IDC_UVW_HIDE,

	IDT_SCALE				= 12400,
	IDC_SCALE_SCENE			= 12401,
	IDC_SCALE_SCENE_COMBO	= 12402,
	IDC_SCALE_FILE			= 12403,
	IDC_SCALE_FILE_COMBO	= 12404,
	IDC_SCALE_FACTOR		= 12405,
	IDC_SCALE_FACTOR_CALC	= 12406,
	IDS_SCALE_CONVERT		= 12407,
	IDC_SCALE_CONVERT		= 12408,
	IDC_SCALE_CONVERT_COMBO	= 12409,
		ACI_UNITS_KM		= 0,
		ACI_UNITS_M			= 1,
		ACI_UNITS_CM		= 2,
		ACI_UNITS_MM		= 3,
		ACI_UNITS_MICRO		= 4,
		ACI_UNITS_NM		= 5,
		ACI_UNITS_MILE		= 6,
		ACI_UNITS_YARD		= 7,
		ACI_UNITS_FOOT		= 8,
		ACI_UNITS_INCH		= 9,
		ACI_UNITS_UNDEF		= 10,

	IDT_OPTIMIZE			= 12500,
	IDC_OPTIMIZE			= 12501,
	IDC_OPTIM_POLY			= 12502,
	IDC_OPTIM_UNPOINT		= 12503,
	IDC_OPTIM_POINT			= 12504,
	IDC_OPTIM_TOLER			= 12505,
	IDC_OPTIM_HIDE1,
	IDC_OPTIM_HIDE2,
	IDC_UNTRIANG			= 12510,
	IDC_UNTRIANG_EVANG		= 12511,
	IDC_UNTRIANG_NGON		= 12512,
	IDC_UNTRIANG_ANGLE		= 12513,
	IDC_UNTRIANG_HIDE1,
	IDC_UNTRIANG_HIDE2,

	IDT_MISC				= 12600,
	IDC_MISC_UNDONE			= 12601,
	IDC_MISC_STATISTICS		= 12602,
	IDC_MISC_SORT			= 12603,
	IDC_MISC_SORT_ONLYNEW	= 12604,
	IDC_MISC_AXISCENTER		= 12605,
	IDC_MISC_CLEAR_NULLPOLY	= 12606,

	//Object Names
	IDS_FOLDER_LIGHTS		= 13000,
	IDS_FOLDER_CAMERAS,
	IDS_FOLDER_OBJECT,
	IDS_FOLDER_INSTANCE,
	IDS_FOLDER_BASE,
	IDS_NAME_TARGET,
	IDS_NAME_GROUP,
	IDS_NAME_POLY,
	IDS_NAME_LIGHT,

	//Messages
	IDS_QCANCEL				= 14000,
	IDS_CANCEL,
	IDS_BUT_OK,
	IDS_BUT_CANCEL,
	IDS_BUT_CLOSE,

	//Preset
	IDC_PRESET_DEFAULT		= 14900,
	IDC_PRESET_LAST			= 14901,
	IDC_PRESET_NONAME		= 14902,
	IDS_PRESET_NEWNAME		= 14903,
	IDS_PRESET_TAG			= 14904,

	// Din3D Tag IDs
	IDS_DIN3D_TAG			= 15000,
	IDS_NEWNULL_TAG			= 15001,
	IDS_NOSORT_TAG			= 15002,
	IDS_NOUPDATE_TAG		= 15003,

	//Importer
	IDS_IMPORTERNAME		= 16000,
	IDS_IMPORTNAME			= 16001,
	IDS_OPENFILE,
	IDS_STATUSCLICK,
	IDS_DIRECTNAME,

	// Din3D Help
	IDS_HELPNAME			= 17000,
	IDS_HELPSTATUS			= 17001,
	IDS_NOHELP				= 17002,

	//Din3D Sorter
	IDS_SORTERNAME			= 18000,
	IDS_SORTERSTATUS		= 18001,

	//Din3D Cleaner
	IDS_CLEANERNAME			= 19000,
	IDS_CLEANERSTATUS		= 19001,

	//Din3D About
	IDS_ABOUTNAME			= 19100,
	IDS_ABOUTSTATUS			= 19101,
	DLG_DIN3D_ABOUT			= 19110,
	IDC_ABOUT_NAME,
	IDC_ABOUT_MAIL,
	IDC_ABOUT_ID,
	IDC_ABOUT_LICENSE,
	IDC_ABOUT_SERIAL,
	IDC_ABOUT_OK,
	IDC_ABOUT_CHECK,

	//Din3D Instances
	DLG_DIN3D_OBJECT		= 20000,
	IDC_LOGO_WARNING,
	IDC_OBJLIST,
	IDC_POPUP_OBJECT,
	IDC_POPUP_INSTANCE,
	IDS_COOL_ROOT			= 20100,
	IDS_COL_CHECK_OBJ,
	IDS_COL_CHECK_INS,
	IDS_COL_CHECK_UPD,
	IDS_COL_OBJ_NAME,
	IDS_COL_OBJ_TYPE,
	IDS_COL_OBJ_COUNT,
		IDB_SELECTALL		= 1,
		IDB_DESELECTALL		= 2,
		IDB_INVERT			= 3,

	//Din3D Updater
	IDS_UPDATERNAME			= 21000,
	IDS_UPDATERSTATUS,
	IDS_UPDATER_NOCONNECT,
	IDS_UPDATER_NOAVAL,
	IDS_UPDATER_UNKOWN,
	DLG_DIN3D_UPDATE		= 21500,
	IDC_UPDATE_LOGO,
	IDC_UPDATE_CURVER,
	IDC_UPDATE_LASTVER,
	IDC_UPDATE_LASTDATE,
	IDC_UPDATE_LINK,
	IDB_CLOSE,
	IDB_DOWNLOAD,

	//Demo
	IDS_DEMO_CONV			= 40000,
	IDB_DEMO_TRY,
	IDB_DEMO_REGISTER,
	IDB_DEMO_BUY,
	IDB_DEMO_CLOSE,
	IDC_DEMO_LOGO,
	IDC_DEMO_LINK,
	IDS_DEMO_TITLE,
	IDS_DEMO_TEXT1,
	IDS_DEMO_TEXT2,
	IDS_DEMO_TEXT3,
	IDS_DEMO_TEXT4,
	IDS_DEMO_TEXT5,
	IDS_DEMO_TEXT6,
	//Trial
	IDS_TIMEDEMO_EXPIRED,

	//Register
	IDS_REG_TITLE			= 41000,
	IDC_REG_LOGO,
	IDC_REGIN_NAME,
	IDC_REGIN_MAIL,
	IDC_REGIN_SERIAL,
	IDB_REG_BUY,
	IDB_REG_REGISTER,
	IDS_REG_GROUP_1,
	IDS_REG_GROUP_2,
	IDS_REG_TEXT_1,
	IDS_REG_TEXT_2,
	IDS_REG_TEXT_31,
	IDS_REG_TEXT_32,
	IDS_REG_TEXT_33,
	IDS_REG_TEXT_4,
	IDS_REG_TEXT_51,
	IDS_REG_TEXT_52,
	IDS_REG_TEXT_53,
	IDS_REG_TEXT_61,
	IDS_REG_TEXT_62,
	IDS_REG_TEXT_63,
	IDS_REG_TEXT_64,
	IDS_REG_TEXT_71,
	IDS_REG_TEXT_72,
	IDS_REG_TEXT_8,
	IDS_REG_TEXT_91,
	IDS_REG_TEXT_92,
	IDS_REG_LINK,
	IDS_REGTO_1,
	IDS_REGTO_2,
	IDS_REGTO_3,
	IDS_REG_VALID,

	//Dlg
	IDC_DLG_HEADER			= 41400,
	IDC_DLG_LOGO_01,
	IDC_DLG_LOGO_02,
	IDC_DLG_HEADER_VERSION,
	IDC_DLG_HEADER_COPYRIGHT,
	IDC_DLG_HEADER_LINK,
	IDC_DLG_HEADER_NAME,

	//Licensing
	IDS_LIC_COMMAND_NAME	= 41500,
	IDS_LIC_COMMAND_STATUS,
	IDS_LIC_DLG_TITLE,
	IDS_LICDLG_USERINFO,
	IDC_LICDLG_USERINFO,
	IDS_LICDLG_C4D_VER,
	IDC_LICDLG_C4D_VER,
	IDS_LICDLG_C4D_LIC_CNT,
	IDC_LICDLG_C4D_LIC_CNT,
	IDS_LICDLG_C4D_PRODUCTID,
	IDC_LICDLG_C4D_PRODUCTID,
	IDS_LICDLG_C4D_USERID,
	IDC_LICDLG_C4D_USERID,
	IDS_LICDLG_C4D_USER_NAME,
	IDC_LICDLG_C4D_USER_NAME,

	IDS_LICDLG_DIN3D_LICGRP,
	IDC_LICDLG_DIN3D_LICGRP,
	IDS_LICDLG_DIN3D_TYPE,
	IDC_LICDLG_DIN3D_TYPE,
	IDS_LICDLG_DIN3D_LICENSE,
	IDC_LICDLG_DIN3D_LICENSE,
	IDS_LICDLG_DIN3D_EXPIRE_TRIAL,
	IDS_LICDLG_DIN3D_EXPIRE_SUPPORT,
	IDS_LICDLG_DIN3D_EXPIRE_DEMO,
	IDC_LICDLG_DIN3D_EXPIRE,
	IDC_LICDLG_DIN3D_EXPIRE_TEXT,

	IDC_LICDLG_CMDGRP,
	IDS_LICDLG_CMDGRP,
	IDS_LICDLG_COMMAND,
	IDC_LICDLG_CMD_COMBO,
	IDC_LICDLG_RUNCMD,
	IDS_LICDLG_RUNCMD,
	IDC_LICDLG_CMD_DESC,
	IDS_LICDLG_CMD_DESC,
	IDC_LICDLG_BUTTON_BUY,
	IDS_LICDLG_BUTTON_BUY,
	IDS_LICDLG_BUTTON_PURCHASE,

	IDS_LIC_CMD_DESC_C4D_GENERATE,
	IDS_LIC_CMD_DESC_DIN3D_SAVE,
	IDS_LIC_CMD_DESC_DIN3D_LOAD,
	IDS_LIC_CMD_DESC_DIN3D_RENEW,

	IDS_LIC_CMD_COMBO_C4D_GENERATE,
	IDS_LIC_CMD_COMBO_DIN3D_LOAD,
	IDS_LIC_CMD_COMBO_DIN3D_SAVE,
	IDS_LIC_CMD_COMBO_DIN3D_RENEW,

	IDS_LIC_DIN3D_LIC_LOAD_DLG,
	IDS_LIC_DIN3D_LIC_LOADED,
	IDS_LIC_DIN3D_LIC_SAVE_DLG,
	IDS_LIC_DIN3D_LIC_SAVED,
	IDS_LIC_C4DREPORT_SAVED,
	IDS_LIC_TRIAL_EXPIRED,
	IDS_LIC_SUPPORT_EXPIRED,
	IDS_LIC_DIFFERENT_C4D_VERSION,
	IDS_LIC_C4D_LIC_COUNT_NULL,
	IDS_LIC_LIC_COUNT_DIFFERENT,
	IDS_LIC_USERID_DIFFERENT,
	IDS_LIC_DIN3D_INVALID,
	IDS_LIC_DIN3D_MISSING,

	//Dynamic Texts
	IDS_DIN3D_MAT_SUFFIX	= 42000,

	//Version
	IDS_VER_DEMO			= 43000,
	IDS_VER_TRIAL,
	IDS_VER_TIME_DEMO,
	IDS_VER_EDUCATION,
	IDS_VER_COMMERCIAL,
	IDS_VER_NETWORK,

	// End of symbol definition
	_DUMMY_ELEMENT_
};

#endif	//__DIN3D_SYMBOLS_H