//************************************************************************
//* Din3D importer for Cinema 4D                                         *
//* (http://din3d.net)                                                   *
//*                                                                      *
//* Author:                                                              *
//* Dinnye                                                               *
//*                                                                      *
//************************************************************************
//*                                                                      *
//* This file is part of Din3D.                                          *
//*                                                                      *
//************************************************************************

#ifndef __DIN3D_DIN3DTAG_H__
#define __DIN3D_DIN3DTAG_H__


enum
{
	TDIN3D_INFORMATION							= 30000,
	TDIN3D_INFO_VERS,
	TDIN3D_INFO_TAGINFO,
	TDIN3D_INFO_COPYRIGHT,
	TDIN3D_INFO_LINK,
	TDIN3D_INFO_LINK_URL,
	TDIN3D_INFO_LINK_TEXT,
	TDIN3D_INFO_NEWLINE,

	TDIN3D_FILE									= 30100,
	TDIN3D_FILE_VERSION,
	TDIN3D_FILE_VERSION_DISP,
	TDIN3D_FILE_PATH,
	TDIN3D_FILE_PATH_DISP,
	TDIN3D_FILE_FILE,
	TDIN3D_FILE_FILE_DISP,
	TDIN3D_FILE_PROJECT,
	TDIN3D_FILE_PROJECT_DISP,

	TDIN3D_PARAM								= 30199,

	TDIN3D_PARAM_HIERARCHY						= 30200,
	TDIN3D_PARAM_HIERARCHY_SPLIT				= 30201,
	TDIN3D_PARAM_HIERARCHY_SPLIT_STORY			= 30202,
	TDIN3D_PARAM_HIERARCHY_SPLIT_CLASS			= 30203,
	TDIN3D_PARAM_HIERARCHY_SPLIT_LAYERS			= 30204,
	TDIN3D_PARAM_HIERARCHY_SPLIT_ELEMENTS		= 30209,
	TDIN3D_PARAM_HIERARCHY_INS					= 30210,
	TDIN3D_PARAM_HIERARCHY_INSTANCES			= 30207,
	TDIN3D_PARAM_HIERARCHY_HIER					= 30205,
	TDIN3D_PARAM_HIERARCHY_NULL_OBJ				= 30206,
	TDIN3D_PARAM_HIERARCHY_SEP					= 30211,
	TDIN3D_PARAM_HIERARCHY_SPACE				= 30212,
	TDIN3D_PARAM_HIERARCHY_MATTAG				= 30208,
	TDIN3D_PARAM_HIERARCHY_MATTAG_NULL			= 30290,
	TDIN3D_PARAM_HIERARCHY_MATTAG_POLY			= 30291,

	TDIN3D_PARAM_MATERIALS						= 30300,
	TDIN3D_PARAM_MATERIALS_MATIMPORT,
	TDIN3D_PARAM_MATERIALS_PROJECTION,
	TDIN3D_PARAM_MATERIALS_TEXTURES,
	TDIN3D_PARAM_MATERIALS_TETURES_LOC,
	TDIN3D_PARAM_MATERIALS_PROJECTION_CUBIC		= 30390,
	TDIN3D_PARAM_MATERIALS_PROJECTION_SPHERIC,
	TDIN3D_PARAM_MATERIALS_PROJECTION_CYLIND,
	TDIN3D_PARAM_MATERIALS_PROJECTION_FLAT,
	TDIN3D_PARAM_MATERIALS_PROJECTION_FRONT,
	TDIN3D_PARAM_MATERIALS_PROJECTION_SPACIAL,
	TDIN3D_PARAM_MATERIALS_PROJECTION_UVW,
	TDIN3D_PARAM_MATERIALS_PROJECTION_SHRINK,

	TDIN3D_PARAM_CONTENTS						= 30400,
	TDIN3D_PARAM_CONTENTS_IMPORTED,
	TDIN3D_PARAM_CONTENTS_LIGHTS,
	TDIN3D_PARAM_CONTENTS_CAMERAS,
	TDIN3D_PARAM_CONTENTS_NORM,
	TDIN3D_PARAM_CONTENTS_NORMALS_REV,
	TDIN3D_PARAM_CONTENTS_PHONG,
	TDIN3D_PARAM_CONTENTS_PHONG_TAG,
	TDIN3D_PARAM_CONTENTS_PHONG_ANGLE,
	TDIN3D_PARAM_CONTENTS_PHONG_EDGE,
	TDIN3D_PARAM_CONTENTS_UVW,
	TDIN3D_PARAM_CONTENTS_UVW_COORDS,
	TDIN3D_PARAM_CONTENTS_UVW_SCALE,

	TDIN3D_PARAM_SCALE							= 30500,
	TDIN3D_PARAM_SCALE_SCENE,
	TDIN3D_PARAM_SCALE_SCENEREAL,
	TDIN3D_PARAM_SCALE_SCENELONG,
	TDIN3D_PARAM_SCALE_FILE,
	TDIN3D_PARAM_SCALE_FILEREAL,
	TDIN3D_PARAM_SCALE_FILELONG,
	TDIN3D_PARAM_SCALE_FACTOR,
	TDIN3D_PARAM_SCALE_FACTOR_TEXT,
	TDIN3D_PARAM_SCALE_TO,
	TDIN3D_PARAM_SCALE_TOREAL,
	TDIN3D_PARAM_SCALE_TOLONG,
	TDIN3D_PARAM_SCALE_UNITS_KM					= 30580,
	TDIN3D_PARAM_SCALE_UNITS_M,
	TDIN3D_PARAM_SCALE_UNITS_CM,
	TDIN3D_PARAM_SCALE_UNITS_MM,
	TDIN3D_PARAM_SCALE_UNITS_MICRO,
	TDIN3D_PARAM_SCALE_UNITS_NM,
	TDIN3D_PARAM_SCALE_UNITS_MILE,
	TDIN3D_PARAM_SCALE_UNITS_YARD,
	TDIN3D_PARAM_SCALE_UNITS_FOOT,
	TDIN3D_PARAM_SCALE_UNITS_INCH,
	TDIN3D_PARAM_SCALE_UNITS_UNDEF,


	TDIN3D_PARAM_OPTIMIZE						= 30600,
	TDIN3D_PARAM_OPTIMIZE_OPTEXT,
	TDIN3D_PARAM_OPTIMIZE_OPT,
	TDIN3D_PARAM_OPTIMIZE_OPT_POLY,
	TDIN3D_PARAM_OPTIMIZE_OPT_UNPOINT,
	TDIN3D_PARAM_OPTIMIZE_OPT_POINT,
	TDIN3D_PARAM_OPTIMIZE_OPT_TOLER,
	TDIN3D_PARAM_OPTIMIZE_OPT_UNTRIANGTEXT,
	TDIN3D_PARAM_OPTIMIZE_OPT_UNTRIANG,
	TDIN3D_PARAM_OPTIMIZE_OPT_UNTRIANG_EVANG,
	TDIN3D_PARAM_OPTIMIZE_OPT_UNTRIANG_NGON,
	TDIN3D_PARAM_OPTIMIZE_OPT_UNTRIANG_ANGLE,

	TDIN3D_PARAM_MISC							= 30700,
	TDIN3D_PARAM_MISC_UNDO,
	TDIN3D_PARAM_MISC_SORT,
	TDIN3D_PARAM_MISC_SORT_ONLY_NEW,
	TDIN3D_PARAM_MISC_AXISCENTER,
	TDIN3D_PARAM_MISC_AXISCENTER_X,
	TDIN3D_PARAM_MISC_AXISCENTER_Y,
	TDIN3D_PARAM_MISC_AXISCENTER_Z,
	TDIN3D_PARAM_MISC_CLEAR_NULLPOLY,

	TDIN3D_OBJECT								= 30800,
	TDIN3D_OBJECT_TEXT,
	TDIN3D_OBJECT_LIST,

};

#endif	//__DIN3D_TAG_H__
